@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2015
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off
@setlocal

call "%~dp0setupCmdLine.bat"

if not defined OBJECTGRID_HOME (
   goto ws
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

SET PATH=%XS_PATH%

SETLOCAL EnableDelayedExpansion
 
SET FALSE=0
SET TRUE=1
SET ARGS_FOUND=0
SET JVMARGS_PARM=-jvmArgs
SET JVMARGS=

FOR %%a IN (%*) do (
    IF "!ARGS_FOUND!" EQU "%FALSE%" (
        IF %%a==%JVMARGS_PARM% (
            SET ARGS_FOUND=%TRUE%
        )
    ) ELSE (
        SET "JVMARGS=!JVMARGS! %%a" 
    )
)

SETLOCAL DisableDelayedExpansion

@REM adding environment variable to support client libraries the user might optionally use
if defined CLIENT_AUTH_LIB (
	"%JAVA_EXE%" "-classpath" "%OBJECTGRID_HOME%"\properties;"%OBJECTGRID_HOME%"\lib\ogclient.jar;"%OBJECTGRID_HOME%"\session\lib\sessionobjectgrid.jar;"%CLIENT_AUTH_LIB%" %JAVA_ENDORSED_DIRS%  %JVMARGS% -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.xs.admin.wxscli.WXSAdminCLI" %*
) else (
	"%JAVA_EXE%" "-classpath" "%OBJECTGRID_HOME%"\properties;"%OBJECTGRID_HOME%"\lib\ogclient.jar;"%OBJECTGRID_HOME%"\session\lib\sessionobjectgrid.jar %JAVA_ENDORSED_DIRS%  %JVMARGS% -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true "com.ibm.ws.xs.admin.wxscli.WXSAdminCLI" %*
)

goto end

:ws

if defined WAS_PATH (
   SET PATH="%WAS_PATH%"
)

if exist %JAVA_HOME%\bin\java.exe (
   set JAVA_EXE=%JAVA_HOME%\bin\java
) else (
   set JAVA_EXE=%JAVA_HOME%\jre\bin\java
)

if defined CLIENTSAS (
   set CLIENTSAS="%CLIENTSAS%"
)

if defined CLIENTSSL (
   set CLIENTSSL="%CLIENTSSL%"
)

@REM adding environment variable to support client libraries the user might optionally use
if defined CLIENT_AUTH_LIB (
	"%JAVA_EXE%" %WAS_LOGGING% %CONSOLE_ENCODING% -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory %JVMARGS%  -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%CLIENT_AUTH_LIB%" -Dwas.install.root="%WAS_HOME%" %CLIENTSAS% %CLIENTSSL% %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xs.admin.wxscli.WXSAdminCLI %*
) else (
	"%JAVA_EXE%" %WAS_LOGGING% %CONSOLE_ENCODING% -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory %JVMARGS%  -Djava.security.auth.login.config="%USER_INSTALL_ROOT%\properties\wsjaas_client.conf" "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins" -Dwas.install.root="%WAS_HOME%" %CLIENTSAS% %CLIENTSSL% %USER_INSTALL_PROP% -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xs.admin.wxscli.WXSAdminCLI %*
)
:end
   
IF %ARGS_FOUND% EQU %TRUE% (IF %ERRORLEVEL% GTR 0 (echo "Java.exe failed with returned code %ERRORLEVEL%. Verify that the JVM arguments are properly set. You may need to wrap each JVM argument in double quotation marks."))

@endlocal